curl --request POST \
--url https://api.questra.ai/surveys/{survey_id_or_slug}/program-from-file/{fileId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'{
"id": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"content": [
{
"type": "<string>",
"text": "<string>"
}
],
"started_responding_at": "2023-11-07T05:31:56Z",
"response_completed_at": "2023-11-07T05:31:56Z"
}Triggers asynchronous AI programming of the specified survey using the uploaded questionnaire file. The survey becomes locked while the agent works. Register a webhook subscribing to programming.finished to be notified when the job completes.
curl --request POST \
--url https://api.questra.ai/surveys/{survey_id_or_slug}/program-from-file/{fileId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'{
"id": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"content": [
{
"type": "<string>",
"text": "<string>"
}
],
"started_responding_at": "2023-11-07T05:31:56Z",
"response_completed_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique ID or slug of the survey to program
Unique ID of the file to use as the questionnaire source
Programming job started. Returns the initial agent user message.
Unique ID of the user message
Unique ID of the user who sent the message
The date and time the message was created
text
Show child attributes
The date and time the message was received by the agent
The date and time the agent finished responding